<? $this->headScript()->appendFile('/js/scrollspy.js') ?>
<? $escort = $this->escort; if ( ! $escort instanceof Model_EscortV2Item ) $escort = new Model_EscortV2Item($escort) ?>

<?
$config = $this->config;
$c = $this->c;
$class = '';
if ( $this->is_main_page || $escort->is_premium || $escort->is_tour_premium ) {
	$class = 'prem';
}
elseif ( ! $escort->is_premium && $this->in_premium ) {
	$class = 'reg';
}

if ( $escort->is_last_one ) {
	$class .= ' last-one';
}
?>

<div class="escort h <?= $class ?> <?= ( ($c) % 2 ) ? 'even' : 'odd' ?>">

	<div class="photo_wrap">
	<? if ( ! $this->is_tour ): ?>
		<? if ($this->is_main_page): ?>
			<? $from = 'main_premium_spot'; ?>
		<? elseif ($escort->is_premium): ?>
			<? $from = 'regular_list'; ?>
		<? else: ?>
			<? $from = 'regular_list'; ?>
		<? endif; ?>
	<? else: ?>
		<? if ($escort->is_tour_premium || $escort->is_premium): ?>
			<? $from = 'tours_list';//'tour_main_premium_spot'; ?>
		<? else: ?>
			<? $from = 'tours_list'; ?>
		<? endif; ?>

		<? if ( $this->is_upcomingtour ): ?>
			<? $from = 'up_' . $from; ?>
		<? endif; ?>
	<? endif; ?>

	<? if ( $this->search_list ): ?>
		<? $from = 'search_list'; ?>
	<? endif; ?>
		
	<a class="showname" href="<?= $this->is_review ? $this->getLink('escort-reviews', array('showname' => $escort->showname, 'escort_id' => $escort->id)) : $this->getLink('profile', array('showname' => $escort->showname, 'from' => $from, 'escort_id' => $escort->id)) ?>"><?= $escort->showname ?></a>
	<div class="wrap">
		<div class="image">
			<div class="shadow"></div>
			<? if ( $escort->is_new ): ?>
			<span class="new"></span>
			<? endif ?>

			<? if($escort->is_suspicious && ! $escort->is_online ): ?>
				<span class="suspicious"></span>
            <? endif; ?>

			<? if ( /*$escort->is_new ||*/ $this->sort_param == 'newest' ): ?>
			<? $label = ( date('d.m.Y') == date('d.m.Y', $escort->date_registered) ? $this->t('today_new') : date('d.m.Y', $escort->date_registered) ) ?>

				<? if ( $escort->verified_status != Model_Escorts::VERIFIED_STATUS_VERIFIED ): ?>
					<span class="created"><img alt="<?= $label ?>" src="/index/list-date-img?date=<?= $escort->date_activated ?>" /></span>
				<? endif; ?>
			<? endif; ?>


			<? if ( in_array($escort->verified_status, array(Model_Escorts::VERIFIED_STATUS_VERIFIED, Model_Escorts::VERIFIED_STATUS_VERIFIED_RESET)) && ! $escort->is_online ): ?>
			<div class="p100s"></div>
			<? endif; ?>

			<? if( $escort->is_online ): ?>
			<div class="chat_online"></div>
			<? endif; ?>

			<? if ( $this->is_main_page || $escort->is_premium || $escort->is_tour_premium ): // Main Premium Spot ?>
			<span class="premium"></span>
			<? endif ?>
			
			<? if ($escort->hh_is_active): ?>
				<span class="hh_sticker"></span>
			<? endif; ?>

			<a href="<?= $this->is_review ? $this->getLink('escort-reviews', array('showname' => $escort->showname, 'escort_id' => $escort->id)) : $this->getLink('profile', array('showname' => $escort->showname, 'from' => $from, 'escort_id' => $escort->id)) ?>"><img id="p-<?= $escort->id ?>" src="<?= $escort->getMainPhoto()->getUrl('thumb') ?>" alt="<?= isset($escort->alt) ? $escort->alt : '' ?>" class="escort-thumb" /></a>
		</div>
	</div>
	</div>
	
	<div class="info">
	<? if ( $this->favorites ): ?>
		<div class="favremove">
			<a href="<?= $this->getLink('remove-from-favorites');?>?escort_id=<?= $escort->id ?>" class="remove-favorites"><img alt="<?= $this->t('remove') ?>" src="<?= _st('icon_favremove.gif') ?>"/></a>
			<a href="<?= $this->getLink('remove-from-favorites');?>?escort_id=<?= $escort->id ?>" class="remove-favorites"><?= $this->t('remove') ?></a>
		</div>
	<? else: ?>
		<? if ( $this->is_tour ): ?>
			<?
				$status = (time() > strtotime($escort->tour_date_from)) ? $this->t('now') : $this->t('soon');

				$tour_date_from = date('d M', strtotime($escort->tour_date_from));
				$tour_date_to = date('d M', strtotime($escort->tour_date_to));
			?>
			<div class="wr">
				<span class="city no-float">
				<?= $this->t('on_tour_in') ?> <?= $escort->city ?><br/>
				<?= $status ?><br/>
				[ <?= $tour_date_from ?> - <?= $tour_date_to ?> ]
				</span>
				<div class="clear"></div>
			</div>

		<? else: ?>
			<? if ($this->sort_param != 'most-viewed'): ?>
				<? if ( $escort->tour_city_id && $escort->hasProduct(Model_Escorts::PRODUCT_TOUR_ABILITY) ): ?>
				<div class="city"><?= $escort->tour_city ?></div>
				<? else: ?>
				<? 
				$tpl_data['city'] = $escort->city;
				$seo = $this->seo('city', $escort->city_id, $tpl_data); 
				?>
				<div class="city">
					<? if ($this->is_trans && isset($seo->heading_trans) && $seo->heading_trans): ?>
						<?= $seo->heading_trans ?>
					<? elseif (isset($seo->heading_escort) && $seo->heading_escort): ?>
						<?= $seo->heading_escort ?>
					<? else: ?>
						<?= $escort->city ?>
					<? endif; ?>
				</div>
				<? endif; ?>
				<div class="clear"></div>
				<? $rate = ''; $rates = $escort->getRates(); ?>
				<? if ( array_key_exists(AVAILABLE_INCALL, $rates) ): ?>
					<? $rate = $rates[AVAILABLE_INCALL] ?>
				<? elseif ( array_key_exists(AVAILABLE_OUTCALL, $rates) ): ?>
					<? $rate = $rates[AVAILABLE_OUTCALL] ?>
				<? endif; ?>
			
			<? endif; ?>

			<? if ($this->sort_param != 'most-viewed'): ?>
				<? if($escort->comment_count > 0):?>
						<div class="comment_icon"></div>
						<div class="com_rev_icon_count"><?= $escort->comment_count ?></div>
						<div class="comment_count"><?= $escort->comment_count ?></div>
					<? endif ?>
					<? if($escort->review_count > 0):?>
						<div class="review_icon"></div>
						<div class="com_rev_icon_count"><?= $escort->review_count ?></div>
						<div class="review_count"><?= $escort->review_count ?></div>
					<? endif ?>
					<? /*
					<? if ( $escort->incall_type ): ?>
					<span class="incall"></span>
					<? endif ?>
					<? if ( $escort->outcall_type ): ?>
					<span class="outcall"></span>
					<? endif ?>
					*/?>

				<? $t_rates = $escort->getTravelRates(); $rate_str = ""; ?>
				<? if ( count($t_rates) ): ?>
					<?							
						$has_travel_rate = false;
						$currencies = Model_Currencies::getAllAssoc();
						foreach ( $t_rates[0] as $rate ) {
							if ( $rate->time_unit == TIME_HOURS && $rate->time == 12 ) {
								$has_travel_rate = true;
								$travel_price = $rate->price;
								$t_currency = $currencies[$rate->currency_id];
							}
						}
					?>
					
					<? if ($has_travel_rate): ?>
						<? $rate_str = "12h " . number_format($travel_price, 0) . ' ' . $t_currency ?>					
					<? endif; ?>
				<? endif; ?>
				
				<? if ( strlen($rate_str) > 0 ): ?>
					<span class="price"><?= $rate_str ?></span>
				<? else: ?>
					<span class="price">&nbsp;</span>
				<? endif; ?>
				

				
				<div class="clear"></div>
				
				<? /*
				<? if (date('G') >= 0 && date('G') < 6 && $escort->is_late_night): ?>
					<div class="<?= $this->lang() ?>_now_open_sticker"></div>
				<? else: ?>
				 */ ?>
					<? if ( strlen($escort->slogan) > 0 ): ?>
						<div class="slogan">
							<?= $escort->slogan ?>
						</div>
					<? else: ?>
						<div class="slogan">&nbsp;</div>												
					<? endif; ?>
				<? /*
				<? endif; ?>
				 */ ?>
			<? endif; ?>

			<? if ($this->sort_param == 'most-viewed'): ?>
				<div class="rank-cont">
					<div class="fleft mar"><img src="<?= _st('rank_label.gif') ?>" alt="<?= $this->t('rank'); ?>" /></div>
					<div class="fleft rank-inner">
						<div>
							<div class="fleft marginright5"><?= $this->t('rank') ?>: <span><?= ($this->params['page'] == 1) ? $c : ($config['perPage'] * ($this->params['page'] - 1)) + $c ?></span></div>
							<div class="fright"><?= $this->t('hits') ?>: <span><?= intval($escort->hit_count) ?></span></div>
							<div class="clear"></div>
						</div>
						<div class="rank-city"><?= $escort->city ?></div>
					</div>
				</div>
			<? endif; ?>
				
		<? endif;?>
	<? endif;?>
		</div>			
				
	<div class="l_price">
		<? if ( strlen($rate_str) > 0 ): ?>
			<img src="/img/parheure.png" /><span><?= ' ' . $curr . ' ' . $rate_str ?></span>
			<? /* <p><?= __('per_hour'); ?></p> */ ?>
		<? else: ?>
			-
		<? endif; ?>		
	</div>

	<div class="l_slogan_text">
		<? if ( strlen($escort->slogan) > 0 ): ?>			
			<?= $escort->slogan ?>
		<? else: ?>
			-
		<? endif; ?>
	</div>

	<div class="l_about_text">
		<? if ( strlen($escort->about) > 0 ): ?>			
			<? if ( mb_strlen($escort->about) > 200 ): ?>
				<?= mb_substr(strip_tags($escort->about), 0, 200, 'UTF-8') . " ..." ?>
			<? else: ?>
				<?= $escort->about ?>
			<? endif; ?>
		<? else: ?>
			-
		<? endif; ?>
	</div>

	<div class="clear"></div>
</div><!-- escort -->
